## xbmc 12.0~git20121220.0939-rc2

=== debian/changelog ===
xbmc (2:12.0~git20121220.0939-rc2-0ubuntu1) raring; urgency=low

  * New upstream release
     - Version 12.0 RC2 (.orig.tar.,gz from upstream PPA
       http://launchpad.net/~team-xbmc/+archive/ppa)
  * nexus7-fullscreen-fix.patch: Refreshed with quilt.
  * pvraddons-with-dependencies.patch, gitrev.patch: Patches overtaken from
    upstream PPA http://launchpad.net/~team-xbmc/+archive/ppa.
  * debian/control: Added build dependencies and runtime dependencies
    (binary package xbmc) according to upstream docs/README.ubuntu.
    New build dependencies: python-sqlite, libxrender-dev, libvorbisenc2,
    libhal-dev, mesa-utils, libmpeg3-dev, fp-compiler, gdc, libssh-dev,
    cvs, libusb-dev, libcap-dev, swig, default-jre, libtag1-dev,
    libsdl-gfx1.2-dev, libafpclient-dev, libcec-dev.
    New runtime dependencies: python-sqlite, python-bluez | python-lightblue,
    python-simplejson, libvorbisenc2, swig, default-jre, zip, unzip, curl,
    libmad0, libass4, libssh-4 | libssh2-1, libnfs1, libbluray1, libshairport1,
    libmp3lame0, libvorbisfile3, libaacs0, libflac8.
    Also new for xbmc binary package: Suggests: libva-intel-vaapi-driver and
    Recommends: libvdpau1
  * debian/rules, debian/xbmc.docs: Updated for new upstream version.
  * debian/postinst, debian/postrm: Install and remove collectsysteminfo.sh.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 23 Dec 2012 21:27:09 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu8) raring; urgency=low

  * xbmc-startup-script-workarounds-for-arm.patch: Added another workaround to
    get the touchscreen of the Nexus 7 working in the fullscreen mode of XBMC
    (see http://forum.xbmc.org/showthread.php?tid=89536&pid=700557#pid700557).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 14 Dec 2012 11:27:30 +0100

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Team XBMC <team-xbmc@lists.launchpad.net>
Uploaders: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 python-dev,
 python2.7-dev,
 cmake,
 autopoint,
 gettext,
 autotools-dev,
 autoconf,
 automake,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl3,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev,
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev,
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel],
 python-imaging,
 libplist-dev,
 libhal-storage-dev,
 libcec-dev (>= 1.1),
 libudev-dev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libmp3lame-dev,
 libavcodec-dev (>= 4:0.7),
 libavfilter-dev (>= 4:0.7),
 libavformat-dev (>= 4:0.7),
 libavutil-dev (>= 4:0.7),
 libpostproc-dev (>= 4:0.7),
 libswscale-dev (>= 4:0.7),
 libbluray-dev,
 libva-dev,
 libgles2-mesa-dev,
 libsdl-gfx1.2-dev,
 python-sqlite,
 libxrender-dev,
 libvorbisenc2,
 libhal-dev,
 mesa-utils,
 libmpeg3-dev,
 fp-compiler,
 gdc,
 libssh-dev,
 cvs,
 libusb-dev,
 libcap-dev,
 swig,
 default-jre,
 libtag1-dev,
 libafpclient-dev,
 libcec-dev
Standards-Version: 3.9.3
Homepage: http://xbmc.org/
Vcs-Git: git://github.com/xbmc/xbmc-packaging.git
Vcs-Browser: https://github.com/xbmc/xbmc-packaging

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
	 xbmc-bin (<< ${source:Version}.1~),
	 mesa-utils,
	 x11-utils,
	 ttf-liberation,
	 ttf-dejavu-core,
	 python-imaging,
	 python-sqlite,
         python-bluez | python-lightblue,
         python-simplejson,
	 libvorbisenc2,
	 swig,
	 default-jre,
	 zip,
	 unzip,
	 curl,
	 libmad0,
	 libass4,
	 libssh-4 | libssh2-1,
	 libnfs1,
	 libbluray1,
	 libshairport1,
	 libmp3lame0,
	 libvorbisfile3,
	 libaacs0,
	 libflac8,
	 ${python:Depends},
	 ${misc:Depends}
Suggests: libva-intel-vaapi-driver
Recommends: python-gtk2, libvdpau1
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the archiecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: i386 amd64 armhf
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the J2ME package for XBMC Event Client. This is meant to
 provide a server that communicate with a mobile tool supporting Java ME.

Package: xbmc-eventclients-ps3
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client PS3 package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
# NOTE: DEB_BUILD_OPTIONS must have 'nostrip' otherwise debugging symbols will
# be stripped from binaries.
XBMC_RELEASE ?= yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
XBMC_RELEASE ?= no
endif

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

# Ubuntu or Debian specific options
ifeq (Ubuntu,$(shell lsb_release -is))
  DISTRO_SPECIFIC_OPTIONS =
# Enable external libraries for all architectures except i386 and amd64
ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  DISTRO_SPECIFIC_OPTIONS = --enable-external-libraries
endif
else
  DISTRO_SPECIFIC_OPTIONS = --enable-external-libraries \
    --disable-dvdcss \
    --disable-non-free
endif

#ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
#  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
#else
#  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
#  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
#endif

# Enable gles for arm and disable check for GL support on startup
ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
  ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
    GL_CONFIG_OPTIONS = --enable-gl --disable-gles
    OPENMAX_OPTIONS = --disable-openmax
  else
    GL_CONFIG_OPTIONS = --disable-gl --enable-gles
    OPENMAX_OPTIONS = --enable-openmax
  endif
else
  GL_CONFIG_OPTIONS = --disable-gl --enable-gles
  OPENMAX_OPTIONS = --enable-openmax
endif

# Various environment variables to set
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7" CXXFLAGS="$(DEB_CXXFLAGS) -I/usr/include/$(DEB_HOST_MULTIARCH)/python2.7"

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --enable-vdpau \
  --enable-vaapi \
  --enable-crystalhd \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  $(OPENMAX_OPTIONS) \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --disable-ccache \
  --disable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --enable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --enable-afpclient \
  --enable-airtunes \
  --enable-libbluray \
  --enable-pvraddons-with-dependencies \
  $(DISTRO_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Use --parallel option only if debhelper supports it
DH_PARALLEL_OPT=$(shell dh_testdir --parallel 2>/dev/null && echo "--parallel")

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ $(DH_PARALLEL_OPT)

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

override_dh_auto_configure:
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)

override_dh_auto_install:
	$(MAKE) -C lib/addons/script.module.pil
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf
	# Delete license file from package
	rm -f debian/xbmc/usr/share/xbmc/addons/script.recentlyadded/LICENSE.txt

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs

override_dh_auto_test:
	# Do not run unittests, as they fail

override_dh_shlibdeps: debian/tmp/xbmc-bin-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls \
		-lrtmp \

## xbmc 12.0~git20130103.0959

=== lib/libbluray/Makefile ===
#
#  libbluray build script for OSX darwin.
#
#  A quick and dirty Makefile to download/build and install libbluray
#
#  Darwin:
#  10.4u.sdk is targeted so we can run on the AppleTV. Macports is assumed to
#  be used and the required lib depends installed.
#
#  Linux: builds using the existing libbluray make system
#  
#  Usage:
#    make
#    sudo make install
#
#  Darwin only:
#    make install_xbmc

# get OS type from shell
OSTYPE	= $(shell uname)

ifeq ($(OSTYPE),Darwin)
  prefix=/opt/local
  CFLAGS=-mmacosx-version-min=10.4 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -I /opt/local/include
  LDFLAGS=-mmacosx-version-min=10.4 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -L/opt/local/lib
  CPPFLAGS=-mmacosx-version-min=10.4 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -I /opt/local/include
else
  prefix=/usr
endif

ifeq ($(OSTYPE),Darwin)
  LIBBLURAY = libbluray/src/.libs/libbluray.dylib
else
  LIBBLURAY = libbluray/src/.libs/libbluray.so
endif

all:: $(LIBBLURAY)

$(LIBBLURAY): libbluray/configure
	make -C libbluray

libbluray/configure:
	if [ ! -d libbluray ]; then git clone git://git.videolan.org/libbluray.git; fi
	cd  libbluray; ./bootstrap
ifeq ($(OSTYPE),Darwin)
	cd  libbluray; ./configure --prefix=$(prefix) --exec-prefix=$(prefix) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
else
	cd  libbluray; ./configure --prefix=$(prefix) --exec-prefix=$(prefix)
endif

ifeq ($(OSTYPE),Darwin)
install_xbmc: $(LIBBLURAY)
	cp $(LIBBLURAY) ../../system/
endif

install:
	make -C libbluray install

clean:
	make -C libbluray clean

distclean::
	rm -rf libbluray

=== lib/libcec/Makefile ===
#  Download and build libCEC
#
#  Usage:
#    make
#    sudo make install
#    make clean

# lib name, version
LIBNAME=libcec
VERSION=2.0.3
SOURCE=$(LIBNAME)-$(VERSION)

# download location and format
BASE_URL=http://mirrors.xbmc.org/build-deps/darwin-libs
ARCHIVE=$(SOURCE).tar.gz 
TARBALLS_LOCATION=.
RETRIEVE_TOOL=/usr/bin/curl
RETRIEVE_TOOL_FLAGS=-Ls --create-dirs --output $(TARBALLS_LOCATION)/$(ARCHIVE)
ARCHIVE_TOOL=tar
ARCHIVE_TOOL_FLAGS=xf

PREFIX ?= /usr/local
LIBCEC_CONFIGOPTS ?= --prefix=$(PREFIX)

# configuration settings
CONFIGURE=./configure CFLAGS=-D_FILE_OFFSET_BITS=64 $(LIBCEC_CONFIGOPTS)

SO_NAME=$(LIBNAME)/.libs/$(LIBNAME).so

all: $(SO_NAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(LIBNAME): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(LIBNAME)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(LIBNAME) > .gitignore
	cd $(LIBNAME); autoreconf -vif
	cd $(LIBNAME); $(CONFIGURE)

$(SO_NAME): $(LIBNAME)
	make -j 1 -C $(LIBNAME)

install:
	make -C $(LIBNAME) install
	ldconfig

clean:
	rm -rf $(LIBNAME)

distclean::
	rm -rf $(LIBNAME)

=== lib/libnfs/Makefile ===
#  A quick and dirty Makefile to download/build and install
#
#  Usage:
#    make
#    sudo make install

# lib name, version
LIBNAME=libnfs
VERSION=1.3.0
SOURCE=$(LIBNAME)-$(VERSION)
# download location and format
BASE_URL=http://mirrors.xbmc.org/build-deps/darwin-libs
ARCHIVE=$(SOURCE).tar.gz
TARBALLS_LOCATION=.
RETRIEVE_TOOL=/usr/bin/curl
RETRIEVE_TOOL_FLAGS=-Ls --create-dirs --output $(TARBALLS_LOCATION)/$(ARCHIVE)
ARCHIVE_TOOL=tar
ARCHIVE_TOOL_FLAGS=xf
PREFIX ?= /usr
LIBNFS_CONFIGOPTS ?= --prefix=$(PREFIX)
# configuration settings

CONFIGURE=./configure CFLAGS=-D_FILE_OFFSET_BITS=64 $(LIBNFS_CONFIGOPTS)

SO_NAME=$(SOURCE)/lib/libnfs.so

CLEAN_FILES=$(ARCHIVE) $(SOURCE)

all: $(SO_NAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE);./bootstrap;$(CONFIGURE)

$(SO_NAME): $(SOURCE)
	make -C $(SOURCE)

install:
	make -C $(SOURCE) install
clean:
	make -C $(SOURCE) clean
	rm  -f .installed
	rm -f -r include
	rm -f -r lib
	rm -f *.tar.gz
	rm -r -f nfsc

distclean::
	rm -rf $(SOURCE) .installed

=== tools/android/depends/libcec/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=libcec
VERSION=2.0.5-3
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --host=$(HOST) \
          ac_cv_search_dlopen=yes

LIBDYLIB=$(PLATFORM)/src/lib/.libs/libcec.so.2.0.0

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/src/lib

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/src/lib install
	rm -f $(PREFIX)/lib/libcec.la $(PREFIX)/lib/libcec.so $(PREFIX)/lib/libcec.so.2
	mv -f $(PREFIX)/lib/libcec.so.2.0.0 $(PREFIX)/lib/libcec.so
	$(RPL) -e "libcec.so.2" "libcec.so\x00\x00" $(PREFIX)/lib/libcec.so
	-$(READELF) --dynamic $(PREFIX)/lib/libcec.so | grep ibrary
	touch $@

clean:
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/xbmc-pvr-addons/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

LIBNAME=xbmc-pvr-addons
VERSION=5f97406cffb412ac5161c3dc51205caca009fcc7
GIT_DIR=$(TARBALLS_LOCATION)/$(LIBNAME).git
BASE_URL=git://github.com/opdenkamp/$(LIBNAME).git
DYLIB=$(PLATFORM)/addons/pvr.demo/.libs/libpvrdemo-addon.so
#tell git to use the addons repo rather than xbmc's repo
export GIT_DIR
export GIT_WORK_TREE=$(PLATFORM)

#mysql_config is remarkably useless. Help configure find the right one.
export MYSQL_CONFIG=$(PREFIX)/bin/mysql_config

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --host=$(HOST) --enable-addons-with-dependencies

all: .installed-$(PLATFORM)

$(GIT_DIR)/HEAD:
	cd $(TARBALLS_LOCATION); git clone --bare $(BASE_URL)

$(GIT_DIR)/current/$(VERSION): $(GIT_DIR)/HEAD $(DEPS)
	git rev-list -1 $(VERSION) >/dev/null || git fetch origin "+refs/heads/*:refs/remotes/origin/*"
	git rev-list -1 $(VERSION) >/dev/null
	rm -rf $(GIT_DIR)/current; mkdir -p $(GIT_DIR)/current
	touch $@

$(PLATFORM)/bootstrap: $(GIT_DIR)/current/$(VERSION)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	git checkout $(VERSION) -- .

$(PLATFORM)/configure: $(PLATFORM)/bootstrap
	cd $(PLATFORM); ./bootstrap

$(PLATFORM)/Makefile: $(PLATFORM)/configure
	cd $(PLATFORM); $(CONFIGURE)

$(DYLIB): $(PLATFORM)/Makefile
	make -C $(PLATFORM)

.installed-$(PLATFORM): $(DYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	-make -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)
	rm -rf $(GIT_DIR)/current

=== tools/darwin/depends/libnfs/Makefile ===
include ../Makefile.include
include ../config.site.mk

# lib name, version
LIBNAME=libnfs
VERSION=1.3.0
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

RPC_HEADERS=rpcinc/auth.h rpcinc/auth_unix.h rpcinc/clnt.h rpcinc/pmap_clnt.h rpcinc/pmap_prot.h rpcinc/pmap_rmt.h rpcinc/rpc.h rpcinc/rpc_msg.h rpcinc/svc.h rpcinc/svc_auth.h rpcinc/types.h rpcinc/xdr.h

LIBDYLIB=$(SOURCE)/lib/$(DYLIBNAME)

CLEAN_FILES=$(ARCHIVE) $(SOURCE)

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	-rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	mkdir -p $(PREFIX)/include/rpc
	install -c -m 644  $(RPC_HEADERS) $(PREFIX)/include/rpc/
	cd $(SOURCE); ./bootstrap
	cd $(SOURCE); $(CONFIGURE)

$(LIBDYLIB): $(SOURCE)
	make -C $(SOURCE)

.installed:
	make -C $(SOURCE) install
	touch $@
clean:
	make -C $(SOURCE) clean
	rm -r .installed
	rm -rf $(SOURCE)

distclean::
	rm -rf $(SOURCE) .installed

=== tools/darwin/depends/libsdl/Makefile ===
include ../Makefile.include

# lib name, version
LIBNAME=SDL
VERSION=1.2.14
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) \
  --without-x --disable-video-x11

LIBDYLIB=$(SOURCE)/.libs/$(LIBNAME).dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)
	echo $(ARCHIVE) > .gitignore

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); patch -p0 < ../01-SDL_SetWidthHeight.patch
	cd $(SOURCE); patch -p0 < ../02-mmx.patch
	cd $(SOURCE); $(CONFIGURE)

$(LIBDYLIB): $(SOURCE)
	make -j 1 -C $(SOURCE)

.installed:
	make -C $(SOURCE) install
	touch $@

clean:
	make -C $(SOURCE) clean
	rm -f .installed

distclean::
	rm -rf $(SOURCE) .installed

=== tools/darwin/depends/samba/Makefile ===
include ../Makefile.include
include ../config.site.mk

# lib name, version
LIBNAME=samba
VERSION=3.6.0
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) \
  --without-cluster-support --disable-swat --without-ldap \
  --without-pam --without-pam_smbpass --with-fhs

LIBDYLIB=$(SOURCE)/source3/bin/libsmbclient.dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(LIBDYLIB): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); patch -p1 < ../01-bugfix-8385.patch
	cd $(SOURCE)/source3; ./autogen.sh
	cd $(SOURCE)/source3; $(CONFIGURE)
	if test "$(DARWIN)" = "ios"; then \
		cp -f $(platform_xcode_path)/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator$(SDK).sdk/usr/include/crt_externs.h $(PREFIX)/include/; \
	fi
	cd $(SOURCE)/source3; make -j 1 bin/libsmbclient.dylib

.installed:
	cp -f $(SOURCE)/source3/include/libsmbclient.h $(PREFIX)/include/
	cp -f $(SOURCE)/source3/bin/libtdb.dylib.1 $(PREFIX)/lib/
	cp -f $(SOURCE)/source3/bin/libtalloc.dylib.2 $(PREFIX)/lib/
	cp -f $(SOURCE)/source3/bin/libsmbclient.dylib.0 $(PREFIX)/lib/
	cd $(PREFIX)/lib; ln -sf libsmbclient.dylib.0 libsmbclient.dylib
	install_name_tool -id $(PREFIX)/lib/libtdb.dylib.1 $(PREFIX)/lib/libtdb.dylib.1
	install_name_tool -id $(PREFIX)/lib/libtalloc.dylib.2 $(PREFIX)/lib/libtalloc.dylib.2
	install_name_tool -id $(PREFIX)/lib/libsmbclient.dylib.0 $(PREFIX)/lib/libsmbclient.dylib.0
	install_name_tool -change bin/libtdb.dylib.1 $(PREFIX)/lib/libtdb.dylib.1 \
                $(PREFIX)/lib/libsmbclient.dylib.0
	install_name_tool -change bin/libtalloc.dylib.2 $(PREFIX)/lib/libtalloc.dylib.2 \
		$(PREFIX)/lib/libsmbclient.dylib.0
	touch $@

clean:
	make -C $(SOURCE)/source3 clean
	rm -f .installed

distclean::
	rm -rf $(SOURCE) .installed

=== tools/darwin/depends/xbmc-pvr-addons/Makefile ===
include ../Makefile.include
include ../config.site.mk

XBMC_ADDONSDIR=../../../../addons

# lib name, version
LIBNAME=xbmc-pvr-addons
VERSION=5f97406cffb412ac5161c3dc51205caca009fcc7
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --enable-addons-with-dependencies

LIBDYLIB=$(SOURCE)/addons/pvr.demo/.libs/libpvrdemo-addon.dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	git clone git://github.com/opdenkamp/xbmc-pvr-addons.git $(SOURCE)
	cd $(SOURCE); git archive --format=tar --prefix=$(SOURCE)/ $(VERSION) | gzip -9 > $(TARBALLS_LOCATION)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); ./bootstrap
	cd $(SOURCE); $(CONFIGURE)

$(LIBDYLIB): $(SOURCE)
	make -C $(SOURCE)

.installed:
	for ADDON in `find $(SOURCE)/addons -type d -name "pvr.*"`; do \
	  ADDON=`basename $$ADDON` ; \
	  mkdir -p $(XBMC_ADDONSDIR)/$$ADDON ; \
	  cp -PRf $(SOURCE)/addons/$$ADDON/addon/* $(XBMC_ADDONSDIR)/$$ADDON ; \
	  cp -Pf $(SOURCE)/addons/$$ADDON/*.pvr $(XBMC_ADDONSDIR)/$$ADDON ; \
	  install_name_tool -id "$$ADDON" `find "$(XBMC_ADDONSDIR)/$$ADDON" -type f -name "*.pvr"` ; \
	done
	touch .installed

clean:
	make -C $(SOURCE) clean
	rm -f .installed

distclean::
	rm -rf $(SOURCE) .installed
	rm -f $(TARBALLS_LOCATION)/$(ARCHIVE)

## xbmc 12.0~git20130103.0959-rc3

=== debian/changelog ===
xbmc (2:12.0~git20130103.0959-rc3-0ubuntu3) saucy; urgency=low

  * Depend on fonts-liberation instead of ttf-liberation

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 12 Sep 2013 07:47:14 +1000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu2) saucy; urgency=low

  * Disable hal support (LP: #1221254, Closes: #676702)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Sep 2013 10:20:55 +0200

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:08:21 +0000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1) raring; urgency=low

  * New upstream release
     - Version 12.0 RC3 (.orig.tar.gz from upstream PPA
       http://launchpad.net/~team-xbmc/+archive/ppa)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 04 Jan 2013 21:11:52 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu8) raring; urgency=low

  * debian/patches/series: Re-activate nexus7-fullscreen-fix.patch it was
    not the culprit for XBMC not working on the Nexus 7.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 23:19:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu7) raring; urgency=low

  * debian/patches/series: Disable nexus7-fullscreen-fix.patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 14:51:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu6) raring; urgency=low

  * debian/rules: Disable openmax for now on ARM.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 11:38:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu5) raring; urgency=low

  * debian/rules: Build with --disable-vaapi --disable-vdpau on ARM.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 11:01:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu4) raring; urgency=low

  * debian/rules: Build without --enable-external-libraries.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:28:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu3) raring; urgency=low

  * debian/rules: Use --disable-libcec for now as xbmc does not build with
    current libcec.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:09:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu2) raring; urgency=low

  * debian/control: Build-depend on gdc | gdc-4.4, as gdc is not available
    on armhf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:04:09 +0100

=== debian/control ===
--- 
+++ 
@@ -76,7 +76,6 @@
  libomxil-bellagio-dev [armel],
  python-imaging,
  libplist-dev,
- libhal-storage-dev,
  libcec-dev (>= 1.1),
  libudev-dev,
  libshairport-dev,
@@ -102,7 +101,7 @@
  mesa-utils,
  libmpeg3-dev,
  fp-compiler,
- gdc,
+ gdc | gdc-4.4,
  libssh-dev,
  cvs,
  libusb-dev,
@@ -123,7 +122,7 @@
 	 xbmc-bin (<< ${source:Version}.1~),
 	 mesa-utils,
 	 x11-utils,
-	 ttf-liberation,
+	 fonts-liberation,
 	 ttf-dejavu-core,
 	 python-imaging,
 	 python-sqlite,

=== debian/rules ===
--- 
+++ 
@@ -34,26 +34,26 @@
     --disable-dvdcss \
     --disable-non-free
 endif
+DISTRO_SPECIFIC_OPTIONS =
 
-#ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
-#  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
-#else
-#  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
-#  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
-#endif
+ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
+  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
+else
+  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
+endif
 
 # Enable gles for arm and disable check for GL support on startup
 ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
   ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
-    GL_CONFIG_OPTIONS = --enable-gl --disable-gles
+    GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vaapi --enable-vdpau
     OPENMAX_OPTIONS = --disable-openmax
   else
-    GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-    OPENMAX_OPTIONS = --enable-openmax
+    GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+    OPENMAX_OPTIONS = --disable-openmax
   endif
 else
-  GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-  OPENMAX_OPTIONS = --enable-openmax
+  GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+  OPENMAX_OPTIONS = --disable-openmax
 endif
 
 # Various environment variables to set
@@ -67,9 +67,6 @@
   --prefix=/usr --docdir=/usr/share/doc/xbmc \
   $(DEBUG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
-  --enable-vdpau \
-  --enable-vaapi \
-  --enable-crystalhd \
   --disable-vdadecoder \
   --disable-vtbdecoder \
   $(OPENMAX_OPTIONS) \
@@ -82,19 +79,20 @@
   --enable-rtmp \
   --enable-ffmpeg-libvorbis \
   --disable-mid \
-  --enable-hal \
+  --disable-hal \
   --enable-avahi \
   --disable-asap-codec \
   --enable-webserver \
   --enable-optical-drive \
   --enable-texturepacker \
   --enable-nfs \
-  --enable-libcec \
+  --disable-libcec \
   --enable-afpclient \
   --enable-airtunes \
   --enable-libbluray \
   --enable-pvraddons-with-dependencies \
   $(DISTRO_SPECIFIC_OPTIONS) \
+  $(ARCH_SPECIFIC_OPTIONS) \
   $(XBMC_CONFIG_EXTRA_OPTIONS) \
   $(ENV_OPTIONS)

## xbmc 12.3%2Bdfsg1

=== xbmc/input/Makefile ===
SRCS=ButtonTranslator.cpp \
     InertialScrollingHandler.cpp \
     KeyboardLayoutConfiguration.cpp \
     KeyboardStat.cpp \
     MouseStat.cpp \
     SDLJoystick.cpp \
     TouchInput.cpp \
     XBMC_keytable.cpp \
     
LIB=input.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/test/Makefile ===
SRCS=	\
	TestBasicEnvironment.cpp \
	TestFileItem.cpp \
	TestTextureCache.cpp \
	TestUtils.cpp \
	xbmc-test.cpp

LIB=xbmc-test.a

INCLUDES += -I../../lib/gtest/include

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/filesystem/test/Makefile ===
SRCS= \
  TestDirectory.cpp \
  TestFile.cpp \
  TestFileFactory.cpp \
  TestRarFile.cpp \
  TestZipFile.cpp

LIB=filesystemTest.a

INCLUDES += -I../../../lib/gtest/include

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pvr/addons/Makefile ===
SRCS=PVRClient.cpp \
     PVRClients.cpp

LIB=pvraddons.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/android/depends/android-sys/Makefile ===
include ../Makefile.include
DEPS = ../Makefile.include Makefile iomx.cpp

LIBNAME=android-sys
VERSION=0.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

PRIVATE_LIBDIR=$(PLATFORM)/android-libs
PRIVATE_LIBS =$(PRIVATE_LIBDIR)/libutils.so
PRIVATE_LIBS+=$(PRIVATE_LIBDIR)/libmedia.so
PRIVATE_LIBS+=$(PRIVATE_LIBDIR)/libbinder.so
PRIVATE_LIBS+=$(PRIVATE_LIBDIR)/libstagefright.so

CXXFLAGS =$(PLATFORM_FLAGS) -I$(PREFIX)/include -fexceptions
LDFLAGS += -L$(PRIVATE_LIBDIR) -lmedia -lutils -lbinder
INCLUDES+=-I$(PLATFORM)/$(SDK_PLATFORM)/system/core/include
INCLUDES+=-I$(PLATFORM)/$(SDK_PLATFORM)/frameworks/base/include
INCLUDES+=-I$(PLATFORM)/$(SDK_PLATFORM)/frameworks/base/include/media/stagefright/openmax

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

$(PRIVATE_LIBS:.so=.symbols): $(PLATFORM)

$(PRIVATE_LIBS:.so=.c): $(PRIVATE_LIBS:.so=.symbols)
	rm -f $@
	for s in `cat $(@:.c=.symbols)`; do echo "void $$s() {}" >> $@; done

$(PRIVATE_LIBS): $(PRIVATE_LIBS:.so=.c)
	$(CC) $(@:.so=.c) -shared -o $@

$(PLATFORM)/$(SDK_PLATFORM)/libiomx.so: iomx.cpp
	$(CXX) $(CXXFLAGS) $(INCLUDES) -shared -o $@ iomx.cpp $(LDFLAGS) -lstagefright

.installed-$(PLATFORM): $(PRIVATE_LIBS) $(PLATFORM)/$(SDK_PLATFORM)/libiomx.so
	mkdir -p $(PREFIX)/include/$(SDK_PLATFORM)
	mkdir -p $(PREFIX)/lib/$(SDK_PLATFORM)
	cp -f $(PLATFORM)/$(SDK_PLATFORM)/libiomx.so $(PREFIX)/lib/$(SDK_PLATFORM)/
	cp -f $(PLATFORM)/$(SDK_PLATFORM)/frameworks/base/include/media/stagefright/openmax/* $(PREFIX)/include/$(SDK_PLATFORM)/
	touch $@

clean:
	rm -f .installed-$(PLATFORM) $(PLATFORM)/libiomx.so $(PRIVATE_LIBS) $(PRIVATE_LIBS:.so=.c)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/fribidi/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=fribidi
VERSION=0.19.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
CFLAGS+=-D__STDC_INT64__
# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --host=$(HOST) --disable-docs --enable-malloc \
          --disable-shared

LIBDYLIB=$(PLATFORM)/.libs/lib$(LIBNAME).a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/libcdio/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include configure.patch Makefile

# lib name, version
LIBNAME=libcdio
VERSION=0.82
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --host=$(HOST)  --without-cd-drive --without-cd-info --without-cd-paranoia \
          --without-cdda-player --without-cd-read --without-iso-info --without-iso-read --disable-example-progs \
          --disable-cpp-progs --without-cd-drive --without-cd-info --without-cd-paranoia --without-cdda-player \
          --without-cd-read --without-iso-info --without-iso-read --disable-shared

LIBDYLIB=$(PLATFORM)/lib/driver/.libs/$(LIBNAME).a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p0 < ../configure.patch
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	cp $(PLATFORM)/include/cdio/cdtext.h $(PREFIX)/include/cdio/
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/libffi/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=libffi
VERSION=3.0.11
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE= ./configure --prefix=$(PREFIX) --host=$(HOST) --disable-shared --disable-builddir

LIBDYLIB=$(PLATFORM)/.libs/$(LIBNAME).a

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -j 1 -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	mkdir -p $(PREFIX)/include/ffi
	cp $(PREFIX)/lib/$(SOURCE)/include/* $(PREFIX)/include/ffi/
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/libmodplug/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=libmodplug
VERSION=0.8.7
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --host=$(HOST)

LIBDYLIB=$(PLATFORM)/src/.libs/$(LIBNAME).so

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	rm -f $(PREFIX)/lib/libmodplug.la $(PREFIX)/lib/libmodplug.so $(PREFIX)/lib/libmodplug.so.0
	mv -f $(PREFIX)/lib/libmodplug.so.0.0.0 $(PREFIX)/lib/libmodplug.so
	$(RPL) -e "libmodplug.so.0" "libmodplug.so\x00\x00" $(PREFIX)/lib/libmodplug.so
	-$(READELF) --dynamic $(PREFIX)/lib/libmodplug.so | grep ibrary
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/pkg-config/Makefile ===
NATIVE_BUILD=1
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
# lib name, version
LIBNAME=pkg-config
VERSION=0.23
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --enable-indirect-deps --with-pc-path=$(PREFIX)/lib/pkgconfig:$(PREFIX)/share/pkgconfig

LIBDYLIB=$(PLATFORM)/pkg-config

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/swig-native/Makefile ===
NATIVE_BUILD=1
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=swig
VERSION=2.0.8
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --without-alllang --without-x

LIBDYLIB=$(PLATFORM)/swig

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/darwin/depends/gas-preprocessor/Makefile ===
include ../Makefile.include

GASBIN=$(TOOLCHAIN)/bin/gas-preprocessor.pl

all: $(GASBIN)

$(GASBIN):
	mkdir -p $(TOOLCHAIN)/bin
	cp gas-preprocessor.pl $(GASBIN)

clean:
distclean::
	rm -f $(GASBIN)
